@import url('https://fonts.googleapis.com/css?family=Exo:400,700');

*{
    margin: 0px;
    padding: 0px;
}

body{
    font-family: 'Exo', sans-serif;
}


.context {
    width: 100%;
    position: absolute;
    top:50vh;
}

.context h1{
    text-align: center;
    color: #fff;
    font-size: 50px;
}


.area{
    background: #4e54c8;  
    background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8);  
    width: 100%;
    height:100vh;
    
   
}

.circles{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.circles li{
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    background: rgba(255, 255, 255, 0.2);
    animation: animate 25s linear infinite;
    bottom: -150px;
    
}

.circles li:nth-child(1){
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}


.circles li:nth-child(2){
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
}

.circles li:nth-child(3){
    left: 70%;
    width: 20px;
    height: 20px;
    animation-delay: 4s;
}

.circles li:nth-child(4){
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.circles li:nth-child(5){
    left: 65%;
    width: 20px;
    height: 20px;
    animation-delay: 0s;
}

.circles li:nth-child(6){
    left: 75%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
}

.circles li:nth-child(7){
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}

.circles li:nth-child(8){
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.circles li:nth-child(9){
    left: 20%;
    width: 15px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.circles li:nth-child(10){
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
}



@keyframes animate {

    0%{
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100%{
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }
}

.signPage{
    position: absolute;
    color: white;
    width: 100%;
    height: 100%;
    z-index: 10;
}
/deep/ .mat-select-value-text{
  color: white;
}
mat-label{
  color: white;
}
.infoAboutSite h1{
    font-family:Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    margin-left: 40px;
    position: relative;
    top: 10px;
    font-weight: bolder;
    border-bottom: 2px solid rgb(0, 60, 128);
    width: 95px;
    color: lightgreen;
}
.infoAboutSite img{
    width: 90%;
    height: 60%;
    margin: 20% auto;
    margin-left: 5%;
    border-radius: 2em;
}
.infoAboutSite{
    width: 50%;
    height: 100%;
}
.middleSign{
    width: 70%;
    height: 90%;
    margin: 3% auto;
    border-radius: 0.7em;
    background-color: rgba(23, 168, 125, 0.63);
    display: flex;
}
.form{
    background-color:none;
    width: 50%;
    height: 100%;
}
.fillForm{
    width: 90%;
    height: 70%;
    margin: 20% auto;
    background-color: rgba(14, 185, 177, 0.219);
    border-radius: 5px;
}
/* /deep/ .mat-form-field-appearance-legacy .mat-form-field-infix{
    width: 20px !important;
} */
/deep/ input.mat-input-element{
    font-size: 18px;
}
/deep/ .mat-form-field-label-wrapper{
    font-size: 15px;
}
/deep/ .mat-form-field-appearance-legacy .mat-form-field-underline{
    background-color: blue;
}
.flex{
    display: flex;
    flex-direction: column;
    width: 60%;
    margin: 0 auto;
}
.signUpForClient .mat-form-field{
    margin-bottom: -20px;
}

/*         Toggle              */

.toggle {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    width: 210px;
  }
  .toggle span.switcher {
    position: relative;
    width: 200px;
    height: 55px;
    border-radius: 25px;
    margin: 20px 0;
  }
  .toggle span.switcher input {
    -webkit-appearance: none;
       -moz-appearance: none;
            appearance: none;
    position: relative;
    width: 200px;
    height: 50px;
    border-radius: 25px;
    background-color: #1E1E1E;
    outline: none;
    font-family: "Oswald", sans-serif;
  }
  .toggle span.switcher input:before, .toggle span.switcher input:after {
    z-index: 2;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #FFFFFF;
  }
  .toggle span.switcher input:before {
    content: "Sign in";
    left: 20px;
  }
  .toggle span.switcher input:after {
    content: "Sign up";
    right: 20px;
  }
  .toggle span.switcher label {
    z-index: 1;
    position: absolute;
    top: 10px;
    bottom: 10px;
    border-radius: 20px;
  }
  .toggle span.switcher.switcher-1 input {
    transition: 0.25s -0.1s;
  }
  .toggle span.switcher.switcher-1 input:checked {
    background-color: #696969;
  }
  .toggle span.switcher.switcher-1 input:checked:before {
    color: #FFFFFF;
    transition: color 0.5s 0.2s;
  }
  .toggle span.switcher.switcher-1 input:checked:after {
    color: #CCCCCC;
    transition: color 0.5s;
  }
  .toggle span.switcher.switcher-1 input:checked + label {
    left: 10px;
    right: 100px;
    background: #1E1E1E;
    transition: left 0.5s, right 0.4s 0.2s;
  }
  .toggle span.switcher.switcher-1 input:not(:checked) {
    background: #1E1E1E;
    transition: background 0.5s -0.1s;
  }
  .toggle span.switcher.switcher-1 input:not(:checked):before {
    color: #CCCCCC;
    transition: color 0.5s;
  }
  .toggle span.switcher.switcher-1 input:not(:checked):after {
    color: #1E1E1E;
    transition: color 0.5s 0.2s;
  }
  .toggle span.switcher.switcher-1 input:not(:checked) + label {
    left: 100px;
    right: 10px;
    background: #FFFFFF;
    transition: left 0.4s 0.2s, right 0.5s, background 0.35s -0.1s;
  }
  .toggle span.switcher.switcher-2 {
    overflow: hidden;
  }
  .toggle span.switcher.switcher-2 input {
    transition: background-color 0s 0.5s;
  }
  .toggle span.switcher.switcher-2 input:before {
    color: #1E1E1E;
  }
  .toggle span.switcher.switcher-2 input:after {
    color: #FFFFFF;
  }
  .toggle span.switcher.switcher-2 input:checked {
    background-color: #FFFFFF;
  }
  .toggle span.switcher.switcher-2 input:checked + label {
    background: #FFFFFF;
    -webkit-animation: turn-on 0.5s ease-out;
            animation: turn-on 0.5s ease-out;
  }
  @-webkit-keyframes turn-on {
    0% {
      left: 100%;
    }
    100% {
      left: 0%;
    }
  }
  @keyframes turn-on {
    0% {
      left: 100%;
    }
    100% {
      left: 0%;
    }
  }
  .toggle span.switcher.switcher-2 input:not(:checked) {
    background: #1E1E1E;
  }
  .toggle span.switcher.switcher-2 input:not(:checked) + label {
    background: #1E1E1E;
    -webkit-animation: turn-off 0.5s ease-out;
            animation: turn-off 0.5s ease-out;
  }
  @-webkit-keyframes turn-off {
    0% {
      right: 100%;
    }
    100% {
      right: 0%;
    }
  }
  @keyframes turn-off {
    0% {
      right: 100%;
    }
    100% {
      right: 0%;
    }
  }
  .toggle span.switcher.switcher-2 label {
    top: 0px;
    width: 200px;
    height: 50px;
    border-radius: 25px;
}
.switch{
    margin-top: -20%;
}

.user_client{
    position: absolute;
    margin-left: 10%;
}
.user input:before {
    content: "Worker" !important;
    left: 20px;
}
.user input:after {
    content: "Businessman" !important;
    right: 20px;
}